//
//  SCNonlinearResource.h
//  SmartclipSDKiOS
//
//  Copyright © 2022 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "UIImage+URL.h"

NS_ASSUME_NONNULL_BEGIN

@interface SCNonlinearResource : NSObject
@property (nonatomic, copy) NSString *type;
@property (nonatomic, copy) NSString *resource;
@property (nonatomic, copy) NSString *apiFramework;
@property (nonatomic, copy) NSString *creativeType;

- (instancetype)initWith:(NSDictionary*)dictionary;
- (void)resourceImageWithCompletion:(SCImageResultCompletionBlock)completion;
@end

NS_ASSUME_NONNULL_END

